%define upstream_name    Dist-Zilla-Plugin-ChangelogFromGit
%define upstream_version 0.016

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Build CHANGES from git commits and tags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.660.0
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Git::Repository) >= 1.220.0
BuildRequires: perl(Git::Repository::Log::Iterator)
BuildRequires: perl(Moose::Autobox) >= 0.110.0
BuildRequires: perl(Software::Release) >= 0.10.0
BuildRequires: perl(Text::Wrap) >= 2006.111.700
BuildArch:  noarch

%description
This Dist::Zilla plugin writes a CHANGES file that contains formatted
commit information from recent git logs.

This plugin has the following configuration variables:

* * max_age

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.16.0-5.mga6
+ Revision: 1026094
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.16.0-4.mga6
+ Revision: 944906
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.0-3.mga5
+ Revision: 747832
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 sander85 <sander85> 0.16.0-1.mga5
+ Revision: 650878
- update to 0.016

* Sat Jun 07 2014 sander85 <sander85> 0.15.0-2.mga5
+ Revision: 634316
- Fix BR

* Sat Oct 19 2013 umeabot <umeabot> 0.15.0-2.mga4
+ Revision: 531943
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.15.0-1.mga4
+ Revision: 465844
- update to 0.015

* Fri Jun 07 2013 jquelin <jquelin> 0.7.0-1.mga4
+ Revision: 439086
- update to 0.007

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 306072
- update to 0.006

* Tue Jun 05 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 254866
- update to 0.005

* Mon Mar 05 2012 jquelin <jquelin> 0.4.0-1.mga2
+ Revision: 218712
- update to 0.004

* Sat Nov 05 2011 kharec <kharec> 0.3.0-1.mga2
+ Revision: 163732
- update to 0.003

* Sat Jan 22 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 31933
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ChangelogFromGit

